% This file was created by tikzplotlib v0.9.3.
\begin{tikzpicture}

\definecolor{color0}{rgb}{0.349019607843137,0.490196078431372,0.749019607843137}
\definecolor{color1}{rgb}{0.852941176470588,0.544117647058824,0.370588235294118}
\definecolor{color2}{rgb}{0.374019607843137,0.618137254901961,0.429901960784314}

\begin{axis}[
axis line style={white!15!black},
height=234.0pt,
legend cell align={left},
legend style={fill opacity=0.8, draw opacity=1, text opacity=1, at={(0.97,0.03)}, anchor=south east, draw=white!80!black},
tick align=outside,
tick pos=left,
width=312.0pt,
x grid style={white!80!black},
xlabel={Binary Size [KiB]},
xmajorgrids,
xmin=0, xmax=635.684765625,
xtick style={color=white!15!black},
y dir=reverse,
y grid style={white!80!black},
ylabel={Model Type},
ymin=-0.5, ymax=1.5,
ytick style={color=white!15!black},
ytick={0,1},
yticklabels={\texttt{float32},\texttt{int8}}
]
\draw[draw=white,fill=color0,line width=0.32pt] (axis cs:0,-0.4) rectangle (axis cs:595.421875,0);
\addlegendimage{ybar,ybar legend,draw=white,fill=color0,line width=0.32pt};
\addlegendentry{-Ofast}

\draw[draw=white,fill=color0,line width=0.32pt] (axis cs:0,0.6) rectangle (axis cs:360.3515625,1);
\draw[draw=white,fill=color1,line width=0.32pt] (axis cs:0,-2.77555756156289e-17) rectangle (axis cs:478.46875,0.4);
\addlegendimage{ybar,ybar legend,draw=white,fill=color1,line width=0.32pt};
\addlegendentry{-Os}

\draw[draw=white,fill=color1,line width=0.32pt] (axis cs:0,1) rectangle (axis cs:243.3984375,1.4);
\draw[draw=white,fill=color2,line width=0.32pt] (axis cs:0,-0.4) rectangle (axis cs:320.265625,0.4);
\addlegendimage{ybar,ybar legend,draw=white,fill=color2,line width=0.32pt};
\addlegendentry{Model Size}

\draw[draw=white,fill=color2,line width=0.32pt] (axis cs:0,0.6) rectangle (axis cs:85.1875,1.4);
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
585.4140625 -0.2
605.4140625 -0.2
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
350.34375 0.8
370.34375 0.8
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
470.2578125 0.2
486.6796875 0.2
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
235.1875 1.2
251.609375 1.2
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
320.265625 0
320.265625 0
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
85.1875 1
85.1875 1
};
\end{axis}

\end{tikzpicture}
